Package org.apache.batchee.cdi.impl

## Class BaseContext

- java.lang.Object
- - org.apache.batchee.cdi.impl.BaseContext

- All Implemented Interfaces:
    `javax.enterprise.context.spi.Context`
  Direct Known Subclasses:
    `JobContextImpl`, `StepContextImpl`

      public abstract class BaseContext
      extends Object
      implements javax.enterprise.context.spi.Context

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.enterprise.inject.spi.BeanManager` | `bm` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseContext​(javax.enterprise.inject.spi.BeanManager bm)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract Long` | `currentKey()` |
    `void` | `endContext​(Long key)` |
    `<T> T` | `get​(javax.enterprise.context.spi.Contextual<T> component)` |
    `<T> T` | `get​(javax.enterprise.context.spi.Contextual<T> component, javax.enterprise.context.spi.CreationalContext<T> creationalContext)` |
    `protected org.apache.batchee.cdi.impl.ContextResolver` | `getContextResolver()` |
    `boolean` | `isActive()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.enterprise.context.spi.Context

      `getScope`

- - ### Field Detail

    - #### bm

          protected final javax.enterprise.inject.spi.BeanManager bm

  - ### Constructor Detail

    - #### BaseContext

          public BaseContext​(javax.enterprise.inject.spi.BeanManager bm)

  - ### Method Detail

    - #### currentKey

          protected abstract Long currentKey()

      Returns:
        current keys (we inherit contexts here) sorted by order (the last is the most specific)

    - #### get

          public <T> T get​(javax.enterprise.context.spi.Contextual<T> component,
                           javax.enterprise.context.spi.CreationalContext<T> creationalContext)

      Specified by:
        `get` in interface `javax.enterprise.context.spi.Context`

    - #### get

          public <T> T get​(javax.enterprise.context.spi.Contextual<T> component)

      Specified by:
        `get` in interface `javax.enterprise.context.spi.Context`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `javax.enterprise.context.spi.Context`

    - #### endContext

          public void endContext​(Long key)

    - #### getContextResolver

          protected org.apache.batchee.cdi.impl.ContextResolver getContextResolver()